# $Revision: 1.22 $, $Date: 2012/01/11 22:41:18 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	PathTools
Summary:	Get pathname of current working directory
Summary(pl.UTF-8):	Pobieranie ścieżki bieżącego katalogu
Name:		perl-PathTools
Version:	3.33
Release:	1
Epoch:		1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/S/SM/SMUELLER/%{pdir}-%{version}.tar.gz
# Source0-md5:	92f0df032c399fadef2e2e647ebc3111
URL:		http://search.cpan.org/dist/PathTools/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PathTools merges Cwd and File::Spec into a single distribution.
This was done because the two modules use each other fairly extensively,
and extracting the common stuff into another distribution was deemed
nigh-impossible.

Cwd provides functions for determining the pathname of the current
working directory.  It is recommended that getcwd (or another *cwd()
function) be used in _all_ code to ensure portability.

File::Spec is designed to support operations commonly performed on file
specifications (usually called "file names", but not to be confused with
the contents of a file, or Perl's file handles), such as concatenating
several directory and file names into a single path, or determining
whether a path is rooted.

%description -l pl.UTF-8
PathTools łączy Cwd i File::Spec w jeden pakiet. Został zrobiony
ponieważ te dwa moduły używają intensywnie siebie nawzajem i
wyciągnięcie wspólnego kodu do oddzielnego pakietu zostało uznane za
prawie niemożliwe.

Cwd dostarcza funkcje do określania ścieżki bieżącego katalogu.
Zalecane jest używanie getcwd (lub innej funkcji *cwd()) w _całym_
kodzie dla zapewnienia przenośności.

File::Spec jest zaprojektowany do obsługi operacji zwykle
przeprowadzanych na określeniach plików (zwykle nazywanych "nazwami
plików", których nie należy mylić z zawartością plików czy perlowymi
uchwytami plików), takich jak łączenie kilku katalogów i nazw plików w
pojedynczą ścieżkę albo określanie czy ścieżka jest podana względem
głównego katalogu.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT{%{perl_vendorarch}/File/Spec/,%{_mandir}/man3/File::Spec::}{Cygwin,Epoc,Mac,OS2,VMS,Win32}*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/*.pm
%{perl_vendorarch}/File/Spec*
%dir %{perl_vendorarch}/auto/Cwd
%{perl_vendorarch}/auto/Cwd/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Cwd/*.so
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-PathTools.spec,v $
Revision 1.22  2012/01/11 22:41:18  zbyniu
- up to 3.33

Revision 1.21  2011/10/04 12:23:46  lisu
- rel 4

Revision 1.20  2010/10/29 17:00:34  hawk
- release 3

Revision 1.19  2010/06/06 08:41:01  arekm
- release 2

Revision 1.18  2010/03/03 09:05:06  amateja
- updated to 3.31

Revision 1.17  2009/09/09 09:02:22  amateja
- updated to 3.30
- epoch 1
- Source0 URL changed

Revision 1.16  2009/03/13 15:47:04  hawk
- release 3

Revision 1.15  2008/03/15 19:36:09  arekm
- rel 2

Revision 1.14  2008-02-16 18:24:24  radek
- version 3.2701 (ugh, next release will require epoch bump)

Revision 1.13  2008-02-10 12:17:26  arekm
- rel 2

Revision 1.12  2008-01-10 08:38:40  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.11  2007-12-24 19:58:27  qboosh
- generic URL

Revision 1.10  2007-12-24 03:06:25  zbyniu
- up to 3.25

Revision 1.9  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.7  2006/10/25 16:57:25  ankry
- ver. 3.23

Revision 1.6  2006/06/17 12:15:22  radek
- version 3.18, STBR

Revision 1.5  2005/11/02 11:07:55  czucz
- updated to 3.12

Revision 1.4  2005/07/23 23:49:44  radek
- version 3.09, License, -BR:perl-Test-Simple, rm modules for other systems

Revision 1.3  2004/12/01 10:13:43  radek
- standarized Source0 URL

Revision 1.2  2004/11/20 15:02:57  qboosh
- pl

Revision 1.1  2004/11/19 13:36:22  radek
- new, nfy
